API to send estimate by estimate id
POST https://services.leadconnectorhq.com/invoices/estimate/{estimateId}/sendAuthorization Path parameters Body Responses 201 - Created altId (string, required): Account Id or Agency Id Example: 6578278e879ad2646715ba9c
altType (string, required): Possible values: 'account'
_id (string, required): Unique identifier Example: 67ac9a51106ee8311e911XXXX
liveMode (boolean, required): Indicates if it is in live mode Example: True
deleted (boolean, required): Indicates if deleted Example: False
name (string, required): Name Example: Estimate Name
currency (string, required): Currency code Example: USD
businessDetails (object, required): Business details associated with the estimate
items (array[], required): An array of items
discount (object, required): Discount details for the estimate template
title (string): Title Example: ESTIMATE
estimateNumberPrefix (string): Estimate number prefix Example: EST-
attachments (object[]): Attachments
id (string, required): Id of the file selected Example: 6241712be68f7a98102ba272
name (string, required): Name of the file Example: Electronics.pdf
url (string, required): URL of the file Example: https://example.com/digital-delivery
type (string, required): Type of the file
size (number, required): Size of the file Example: 10000
updatedBy (string): User Id of who last updated Example: 3HIpOF9NIc5ltriQXXXX
total (number, required): Total amount Example: 1222.03
createdAt (string, required): Timestamp when created Example: 2025-02-12T13:17:47.416Z
updatedAt (string, required): Timestamp when last updated Example: 2025-02-12T13:17:47.416Z
__v (number, required): Version number Example: 0
automaticTaxesEnabled (boolean, required): Indicates if automatic taxes are enabled for this estimate Example: False
termsNotes (string): Terms and conditions for the estimate, supports HTML markup Example: <p>All services are subject to availability.</p>
companyId (string, required): Company identifier associated with the estimate Example: COMP12345
contactDetails (object, required): Contact details for the estimate
issueDate (string, required): Date when the estimate was issued Example: 2023-06-15T00:00:00.000Z
expiryDate (string, required): Date when the estimate expires Example: 2023-07-15T00:00:00.000Z
sentBy (string): User who sent the estimate Example: user@example.com
automaticTaxesCalculated (boolean, required): Indicates if automatic taxes were calculated Example: True
meta (object, required): Additional metadata associated with the estimate
estimateActionHistory (string[], required): History of actions taken on the estimate
sentTo (object, required): Recipient details for the estimate
frequencySettings (object, required): Frequency settings for recurring estimates
lastVisitedAt (string, required): Timestamp when the estimate was last visited Example: 2023-06-20T08:30:00.000Z
totalamountInUSD (number, required): Total amount in USD Example: 1500.75
autoInvoice (object): Auto-invoice settings for the estimate
traceId (string, required): Trace ID for logging and debugging Example: 010c7a01-857f-4619-970d-xyxyxyxy
{
"altId" : "6578278e879ad2646715ba9c" ,
"altType" : "account" ,
"_id" : "67ac9a51106ee8311e911XXXX" ,
"liveMode" : true ,
"deleted" : false ,
"name" : "Estimate Name" ,
"currency" : "USD" ,
"businessDetails" : {
"logoUrl" : "your_image-url" ,
"name" : "Business name" ,
"address" : {
"addressLine1" : "address line 1" ,
"city" : "Test City" ,
"state" : "State Name" ,
"countryCode" : "US" ,
"postalCode" : "12345"
},
"phoneNo" : "+1 1234567890" ,
"website" : "www.example.com" ,
"customValues" : [
{
"name" : "Test" ,
"fieldKey" : "{{custom_values.test}}" ,
"id" : "5DYTWoiQvWiIJZXX44XXX" ,
"value" : "Test's Custom Value"
}
]
},
"items" : [
{
"taxes" : [],
"taxInclusive" : false ,
"_id" : "67ac9a51106ee8311e911XXXX" ,
"description" : "<p>Futuristic anti-gravity racing</p>" ,
"currency" : "USD" ,
"productId" : "67ac9a51106ee8311e911XXXX" ,
"priceId" : "67ac9a51106ee8311e911XXXX" ,
"amount" : 9.99 ,
// truncado: 86 lineas mas
}400 - Bad Request 401 - Unauthorized 422 - Unprocessable Entity Example curl -X POST 'https://services.leadconnectorhq.com/invoices/estimate/YOUR_estimateId/send' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{
"altId" : "6578278e879ad2646715ba9c" ,
"altType" : "account" ,
"action" : "sms_and_email" ,
"liveMode" : true ,
"userId" : "6578278e879ad2646715ba9c" ,
"estimateName" : "Estimate"
}'const response = await fetch ('https://services.leadconnectorhq.com/invoices/estimate/YOUR_estimateId/send' , {
method : 'POST' ,
headers : {
Authorization : `Bearer ${process.env.LEADWAY_TOKEN}` ,
Version : '2021-07-28' ,
'Content-Type' : 'application/json' ,
},
body : JSON.stringify ({"altId" : "6578278e879ad2646715ba9c" , "altType" : "account" , "action" : "sms_and_email" , "liveMode" : true , "userId" : "6578278e879ad2646715ba9c" , "estimateName" : "Estimate" }),
});
const data = await response.json ();import os, requests
response = requests.request (
'POST' ,
'https://services.leadconnectorhq.com/invoices/estimate/YOUR_estimateId/send' ,
headers ={
'Authorization' : f"Bearer {os.environ['LEADWAY_TOKEN']}" ,
'Version' : '2021-07-28' ,
'Content-Type' : 'application/json' ,
},
json ={"altId" : "6578278e879ad2646715ba9c" , "altType" : "account" , "action" : "sms_and_email" , "liveMode" : true , "userId" : "6578278e879ad2646715ba9c" , "estimateName" : "Estimate" },
)
data = response.json ()<?php
$ch = curl_init ('https://services.leadconnectorhq.com/invoices/estimate/YOUR_estimateId/send' );
curl_setopt_array ($ch, [
CURLOPT_RETURNTRANSFER => true ,
CURLOPT_CUSTOMREQUEST => 'POST' ,
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv ('LEADWAY_TOKEN' ),
'Version: 2021-07-28' ,
'Content-Type: application/json' ,
],
CURLOPT_POSTFIELDS => json_encode ({'altId' : '6578278e879ad2646715ba9c' , 'altType' : 'account' , 'action' : 'sms_and_email' , 'liveMode' : true , 'userId' : '6578278e879ad2646715ba9c' , 'estimateName' : 'Estimate' }),
]);
$data = json_decode (curl_exec ($ch), true );